FF 3.5.3 compatible for me Rated 5 out of 5 stars

I noticed several of my apps showed greyed out as not compatible with FF 3.5.3.
I uninstalled and reinstalled them which fixed them. However I could only get the British Dic to uninstall by uninstalling in FF then restarting the computer. (XP SP3)

This review is for a previous version of the add-on (1.19).